| Home | Libraries | People | FAQ | More

## Function template includes

boost::compute::includes — Includes algorithm.

## Synopsis

    // In header: <boost/compute/algorithm/includes.hpp>

    template<typename InputIterator1, typename InputIterator2>
      bool includes(InputIterator1 first1, InputIterator1 last1,
                    InputIterator2 first2, InputIterator2 last2,
                    command_queue & queue = system::default_queue());

## Description

Finds if the sorted range [first1, last1) includes the sorted range [first2, last2). In other words, it checks if [first1, last1) is a superset of [first2, last2).

Space complexity: \Omega(distance(`first1`, `last1`) + distance(`first2`, `last2`))

Parameters: |
`first1` | Iterator pointing to start of first set
`first2` | Iterator pointing to start of second set
`last1` | Iterator pointing to end of first set
`last2` | Iterator pointing to end of second set
`queue` | Queue on which to execute
Returns: | True, if [first1, last1) includes [first2, last2). False otherwise.